apiVersion: v1
items:
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstance
  metadata:
    annotations:
      kubevirt.io/cluster-instancetype-name: hot-plug-4-cpu-instance-type
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/vm-generation: "2"
    creationTimestamp: "2025-09-30T08:33:43Z"
    finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
    - foregroundDeleteVirtualMachine
    generation: 12
    labels:
      debugLogs: "true"
      kubevirt.io/domain: rhel10-hotplug-instance-type-vm-1759221189-715344
      kubevirt.io/nodeName: ssp-rk-420a-74vrz-worker-0-4krsr
      kubevirt.io/vm: rhel10-hotplug-instance-type-vm-1759221189-715344
    name: rhel10-hotplug-instance-type-vm-1759221189-715344
    namespace: instance-types-test-cpu-memory-hotplug-instancetype
    ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachine
      name: rhel10-hotplug-instance-type-vm-1759221189-715344
      uid: ed269d64-fa96-4205-9516-d753a5057eb0
    resourceVersion: "3044652"
    uid: 16541706-dfbe-42ee-83e5-b942cb5b5a16
  spec:
    architecture: amd64
    domain:
      cpu:
        cores: 1
        maxSockets: 8
        model: Haswell-noTSX-IBRS
        sockets: 4
        threads: 1
      devices:
        disks:
        - disk:
            bus: virtio
          name: dv-disk
        - disk:
            bus: virtio
          name: cloudinitdisk
        interfaces:
        - masquerade: {}
          name: default
        rng: {}
      features:
        acpi:
          enabled: true
      firmware:
        serial: 58eb96d5-ae5c-4418-b22a-6f03f9f973ca
        uuid: 8e942ca1-e9db-41e4-82f3-ac0942044214
      machine:
        type: pc-q35-rhel9.6.0
      memory:
        guest: 4Gi
        maxGuest: 16Gi
      resources:
        requests:
          memory: 4Gi
    evictionStrategy: LiveMigrate
    networks:
    - name: default
      pod: {}
    volumes:
    - dataVolume:
        name: rhel10
      name: dv-disk
    - cloudInitNoCloud:
        userData: |-
          #cloud-config
          chpasswd:
            expire: false
          password: password
          user: fedora
          ssh_pwauth: true

          ssh_authorized_keys:
           [ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDDKn9Rm33xjY0T666d1UkbsCa0Aean5E5JZSX7YiBVKfCWfP2XoUXhTDcssnqL1uisi1bEX3gPJyF7kPmR7LBrcKP2Gh8iNGX8k4zHbU3I4NHCerJ7qTpl68DCZ23ImUcYLpLL36E75Egn5uBv6b0nYrWH2yTaB9xHbs3aH2VzdwvF+2lVCMU7mX/u6OYH7FLlZIgsZhsaGTCUS2dX+oJF/9jCpdA4x/80fT8ITHnD8LvQZyBYSAZqHsRdrP5mCw/ti40mungFPAOclSccoMbemdt5Njxtl+O6LaqWu2GUVUYSZ6q+EJ2hsXLCukKIq7TA4Xw9eqv6WwDLSMh1bDN1 root@exec1.rdocloud]
          runcmd: ['grep ssh-rsa /etc/crypto-policies/back-ends/opensshserver.config || sudo update-crypto-policies --set LEGACY || true', "sudo sed -i 's/^#\\?PasswordAuthentication no/PasswordAuthentication yes/g' /etc/ssh/sshd_config", 'sudo systemctl enable sshd', 'sudo systemctl restart sshd']
      name: cloudinitdisk
  status:
    activePods:
      6393623f-3291-40ee-a880-b12ddcf29a7b: ssp-rk-420a-74vrz-worker-0-4krsr
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2025-09-30T08:33:48Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and ready
      reason: AllDVsReady
      status: "True"
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      status: "True"
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: "True"
      type: StorageLiveMigratable
    - lastProbeTime: "2025-09-30T08:34:39Z"
      lastTransitionTime: null
      status: "True"
      type: AgentConnected
    currentCPUTopology:
      cores: 1
      sockets: 4
      threads: 1
    guestOSInfo:
      id: rhel
      kernelRelease: 6.12.0-55.33.1.el10_0.x86_64
      kernelVersion: '#1 SMP PREEMPT_DYNAMIC Tue Sep  9 10:25:17 EDT 2025'
      machine: x86_64
      name: Red Hat Enterprise Linux
      prettyName: Red Hat Enterprise Linux 10.0 (Coughlan)
      version: 10.0 (Coughlan)
      versionId: "10.0"
    interfaces:
    - infoSource: domain, guest-agent
      interfaceName: enp1s0
      ipAddress: 10.129.3.126
      ipAddresses:
      - 10.129.3.126
      - fe80::858:aff:fe81:37e
      linkState: up
      mac: 0a:58:0a:81:03:7e
      name: default
      podInterfaceName: eth0
      queueCount: 1
    launcherContainerImageVersion: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:a87573fe66c42321416b14f9ba0a02fe3655c289d5e7e95f9f11d27a5d6a0e20
    machine:
      type: pc-q35-rhel9.6.0
    memory:
      guestAtBoot: 4Gi
      guestCurrent: 4Gi
      guestRequested: 4Gi
    migrationMethod: BlockMigration
    migrationTransport: Unix
    nodeName: ssp-rk-420a-74vrz-worker-0-4krsr
    phase: Running
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-09-30T08:33:43Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-09-30T08:33:43Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-09-30T08:33:48Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-09-30T08:33:51Z"
    qosClass: Burstable
    runtimeUser: 107
    selinuxContext: system_u:object_r:container_file_t:s0:c246,c945
    virtualMachineRevisionName: revision-start-vm-ed269d64-fa96-4205-9516-d753a5057eb0-2
    volumeStatus:
    - name: cloudinitdisk
      size: 1048576
      target: vdb
    - name: dv-disk
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: 32Gi
        claimName: rhel10
        filesystemOverhead: "0"
        requests:
          storage: "34144990004"
        volumeMode: Block
      target: vda
kind: List
metadata:
  resourceVersion: ""
